/*------------------------------------------------------------------------------

    File    :	FFT_float.h

    Author  :	Stphane TAVENARD

    $VER:   FFT_float.h  0.0  (22/04/1995)

    (C) Copyright 1995-1995 Stphane TAVENARD
	All Rights Reserved

    #Rev|   Date   |			  Comment
    ----|----------|--------------------------------------------------------
    0	|22/04/1995| Initial revision

    ------------------------------------------------------------------------

    Defintions for FFT for floating point values

------------------------------------------------------------------------------*/

#ifndef FFT_FLOAT_H
#define FFT_FLOAT_H

#ifndef WORD
#define WORD short
#endif

#ifndef FLOAT
#define FLOAT float
#endif

#ifndef PI
#define PI 3.14159265358979323846
#endif

#define FFT_RANGE_MAX 1024

void FFT_FLOAT_forward( FLOAT *x_real, FLOAT *x_imag,
			FLOAT *energy, FLOAT *phi, int n );

void FFT_FLOAT_reverse( FLOAT *x_real, FLOAT *x_imag,
			FLOAT *energy, FLOAT *phi, int n );

#endif
